
NAME

     unirestore - backs up files to the specified media

SYNOPSIS

     unirestore [f|W|t]
                [AbBCeFgGijklnpPqrRUvVxy] devspec filesetspec

DESCRIPTION

     unirestore copies files from a backup on a tape or disk file specified
     by devspec. devspec can be the name of a disk file or a tape device
     file.  Files are restored to the disk.

     Options
       Options can be either a single character abbreviation, or can be a
       fully specified option name.  In either case the option must be
       preceded by a hyphen (-).

       To specify multiple backup devices (devspecs), separate them with
       spaces and enclose them in quotes.
       
       filesetspec has some special rules.

         To specify an excluded fileset, prefix the fileset with a
         backslash ("\").
         
         To specify an indirect file, prefix the file with an
         exclamation point ("!").
         
         Indirect files and explicit filesets may be mixed together in
         the same command.
         
         Filesetspecs may include the following wildcards: "?" (any
         character), "*" (any string), or "#" (match any directory
         level).
         
         Filesets suffixed by a "/" will include all subdirectories;
         otherwise, subdirectories below the specified directory will
         not be included.

       Options available for unibackup include the following:

       -A  -lastaccess   parm1:  relop; values1:  lt | eq | ne | gt;
                         parm2:  datetimespec; values2:  date[:time]

                         Restores only files whose dates and times match the
                         specified values (lt = less than; eq = equal to; ne
                         = not equal to; gt = greater than).

                         This option is mutually exclusive with the
                         lastmodify and lastfschange options.

                         The date components may be delimited with any
                         character except a colon, which is used exclusively
                         to delimit the time element.

                         If no date or time is specified (zero is used as
                         the argument), midnight is used.  The date format
                         is specified by the dateformat configuration
                         option.

       -b  -lastmodify   parm1:  relop; values1:  lt | eq | ne | gt;
                         parm2:  datetimespec; values2:  date[:time]

                         Restores only files whose dates and times match the
                         specified values (lt = less than; eq = equal to; ne
                         = not equal to; gt = greater than).

                         This option is mutually exclusive with the
                         lastaccess and lastfschange options.

                         The date components may be delimited with any
                         character except a colon, which is used exclusively
                         to delimit the time element.

                         If no date or time is specified (zero is used as
                         the argument), midnight is used.  The date format
                         is specified by the dateformat configuration
                         option.

       -B  -lastfschange parm1:  relop; values1:  lt | eq | ne | gt;
                         parm2:  datetimespec; values2:  date[:time]

                         Restores only files whose dates and times for file
                         inode modification match the specified values (lt =
                         less than; eq = equal to; ne = not equal to; gt =
                         greater than).

                         This option is mutually exclusive with the
                         lastmodify and lastfsaccess options.

                         The date components may be delimited with any
                         character except a colon, which is used exclusively
                         to delimit the time element.

                         If no date or time is specified (zero is used as
                         the argument), midnight is used.  The date format
                         is specified by the dateformat configuration
                         option.

       -C  -encrypt      parm1:  method; values1:  native | DES;
                         parm2:  key; values2:  8 character alphanumeric

                         Specifies data encryption.  If this option was used
                         for the backup, then the encryption key must be
                         provided in order to read the data.

       -e  -flat         Restores all files in all directories and
                         subdirectories into the topmost destination
                         directory.

       -f  -fifo         Writes the data to restore into this file,
                         specified in place of filesetspec.  This option is
                         intended for use in conjunction with user-
                         implemented or third-party applications or
                         utilities.

                         Note:  You cannot specify "tapeformat" with this
                         option.

       -F  -filesize     parm1:  min | Max;
                         parm2:  bytes; values2:  bytecount

                         Does not restore files whose lengths match the
                         specified minimum/maximum number of bytes.

                         Warning: When using this option, be aware that any
                         file modifications can change the file size and
                         alter its restore status.

       -g  -filerange    parm1:  startfile | endfile; values1: relative
                         pathname; parm2:  startfile | endfile; values2:
                                           relative pathname
 
                         Restores only a subset of the files on a tape based
                         on filenames.  You may also specify all files
                         before a relative pathname, or all files after a
                         relative pathname.  All locations are relative
                         locations in the backup order, not in the depth of
                         the directory structure.
 
                         Note:  This option is useful when a restore has
                         been interrupted and must be restarted.

       -G  -byterange    parm1:  startbyte | endbyte; values1:  byte offset;
                         parm2: startbyte |  endbyte; values2:  byte offset

                         Delimits a starting and ending byte location for
                         restoring a portion of the data in a file.  The
                         first byte of data in a file is at location 0.  The
                         restored file will be the correct size, but only
                         the indicated range of bytes will have data.

       -i  -index        parm1:  pathname; values1:  absolute pathname;
                         parm2:  ontape

                         Specifies the name of the index file which contains
                         the names of the restored files and their locations
                         (use absolute pathnames).

       -j  -shiftcase    parm:  method; values:  upshift | downshift

                         Changes file names from uppercase to lowercase
                         (downshift) or from lowercase to uppercase
                         (upshift) when restoring files.

       -k  -collision    parm1:  action; values:  replace | skip | newer |
                                                  larger; 
                         parm2:  confirm

                         Specifies which file will be kept in the event that
                         a file on tape has the same name as a file already
                         on the system.  The following values may be used:

                         replace     The file on tape replaces the one on
                                     the system.  This is the default.

                         skip        The file already on the system is kept.

                         newer       The newer file is kept.

                         larger      The larger file is kept.

       -l  -links        parm:  rule; values:  preserve | resolve |
                                               hardtosoft | softtohard

                         Specifies how links will be handled if they are
                         encountered in the backup.  The following options
                         are available:

                         preserve      Preserves soft and hard links. This
                                       is the default.

                         hardtosoft    Restores hard links as soft links.

                         softtohard    Soft links are restored as hard
                                       links.  If a soft link is encountered
                                       on the restore before the data file
                                       is restored, an error will be
                                       reported and the link will not be
                                       restored.

                         Note:  The "hardtosoft" and "softtohard" options
                         implicitly preserve the links.

       -n  -identifier   parm:  backupname | index; values: backup name of
                                 up to 8 characters or index in backup set

                         Restores from the backup specified by name or
                         index.  This option is useful when restoring from
                         an appended backup.

       -p  -directory    parm:  pathname; values:  absolute pathname

                         Defines s base directory to back up files from.
                         Specify by using an absolute pathname.

       -P  -pretend      The restore is processed normally and all output is
                         produced but nothing is restored.

       -q  -quiet        Suppresses all output to the terminal.

       -r  -remotehost   parm:  hostname; values:  host system name

                         Specifies the system where the files should be
                         restored.  By default, files are restored to the
                         same system from which they were backed up.

                         All pathnames used in the command line will be
                         resolved on the remote system.

                         Unless the remotedevice option is specified, the
                         backup device specified on the command line for the
                         backup file is assumed to be on the remote host.

       -R  -remotedevice parm:  hostname; values:  host system name

                         Specifies the system where the backup device will
                         be found.  If this option is not present, and if
                         the remotehost option is not used, the backup
                         device listed on the command line is assumed to be
                         on the local host.  With the remotehost option, the
                         device is assumed to be on the remote host.

                         The remotedevice option must be used whenever the
                         output device is not on the remote system.

       -t  -tapeformat   parm:  format; values: native | cpio | cpiob |
                                                cpioc | tar

                         Specifies the tape format. Valid tape format values
                         are as follows:

                         native        The proprietary BACKUP format. This
                                       is the default.

                         cpio          Standard cpio format.

                         cpiob         Standard cpio format with reversed
                                       byte order (same as "cpio -b").

                         cpioc         Standard cpio -c format. Expects and
                                       reads ASCII header information.

                         tar           Standard tar format.

                         fbackup       HP-UX proprietary backup format.

                         Note:  This command will be rejected if it is
                         specified with the "fifo" or "raw" options.

       -U  -updatetlm    Changes the time last modified on all the files
                         that are restored to the time of the restore.  The
                         default is to not change the time last modified.

       -v  -report       parm:  format; values:  names | position |
                                                 statistics | verbose

                         Adds any of the following specified values to the
                         output listing:

                         verbose      Adds file information for each file
                                      restored to the listing. Information
                                      includes the name, file size, and the
                                      time last modified for each file
                                      backed up.  This is the default.

                         names        File name. The name is also  included
                                      in the listing if verbose is
                                      specified.

                         position     Adds the volume, file, block, and byte
                                      location for tape files.  If the
                                      backup is a disk file, the position
                                      only includes the byte location.

                         statistics   Adds detailed final statistics to the
                                      end of the report.  Statistics
                                      include:  total number of bytes, files
                                      and directories written, bytes per
                                      minute, etc.

       -V  -volid        parm1:  volsetid; values1:  6 character
                                 alphanumeric; 
                         parm2:  [:volid][...]; values2: 6 character 
                                 alphanumeric

                         Specifies the volumesetid and volume id for the
                         tapes, in sequential order.  Prompts if not enough
                         are specified.

       -W  -raw          Restores raw disk partitions.  When restoring the
                         contents of a raw partition, the partition should
                         already exist.  If the raw partition does not exist
                         prior to restoring, BACKUP will create a normal
                         disk file and restore the contents of the
                         partition.

                         Note:  You cannot specify "tapeformat" with this
                         option.

       -x  -scope        parm:  attributes; values:  all | contents |
                                structures

                         Specifies what will be restored as follows:

                         all          Restores directory structures, file
                                      structures, and file contents.  This
                                      is the default.

                         contents     If a file already exists, replaces the
                                      contents but retains the existing
                                      characteristics.

                         structures   Does not restore the data, only
                                      restores the directory and file
                                      structures.

       -y  -revision     parm:  revspec; value:  first | last

                         If more than one index file is referenced by the
                         index option, chooses the file to restore from
                         either the first or last index.


RETURN VALUE
      Exit values are:

          0      Successful completion.
         >0      Error condition occurred.

EXAMPLES

     To restore file "abc" from a backup on the primary system tape drive:

          unirestore /dev/rmt/0m abc
     
     To restore all files with names beginning with "abc" from a backup on
     the primary system tape drive:
     
          unirestore /dev/rmt/0m #/abc
     
     To restore the entire /orbit directory from a backup on the primary
     tape drive:

          unibackup -p /orbit /dev/rmt/0m #

SEE ALSO
     unibackup(1)

